Subject: bug#70926: Having default nss-certs plus nss-certs in operating-system packages causes problems

From: Christopher Baines <[email-masked]>
Date: Mon, 13 May 2024 22:38:29 +0100

I've seen this when updating systems, but it seems like something is
wrong with the handling of nss-certs.

I'm on a guix revision with nss-certs by default, and when I add
nss-certs to my system packages (to simulate not removing it when
upgrading), it breaks certificates (e.g. wget https://guix.gnu.org/
doesn't work).

My reading of the operating-system-packages code suggests that adding
nss-certs shouldn't have any effect, but this doesn't seem to be
working.